Hacking After updated to 8.1.0 with SX Installer 2.0 - games want update

DenisTheManis

Member
OP
Newcomer
Joined
Aug 2, 2019
Messages
11
Trophies
0
Age
34
XP
50
Country
Germany
Hi everyone.
I'm using SX OS since it released and today I used the SX Installer 2.0 to install the FW 8.1.0 (I was on 8.0.1 before)
Now I can't start most of my games anymore. They ask me for an update. I looked into the sigpatches and dragged them over, but they seem not to work with SX OS.
Using DevMenu didn't help either (6.0.1 definitive edition).
Do you have any advice?
Can I load the sigpatches into DevMenu somehow, or is there another solution to the problem?

As a sidenote. Installing 8.1.0 via SX Installer 2.0 showed me some errors, but in the end displayed "success" and restarted the console. Now I am on 8.1.0.

Cheers.
 

ElLelos

Active Member
Newcomer
Joined
Jul 16, 2018
Messages
27
Trophies
0
XP
782
Country
Germany
Hey there.

Test a game by uninstalling and installing it again. If it doesnt work::

I think the sx installer is crap for installing systemupdates. so here is my idea how you can get your stuff working again::
Restore your nand 8.0.1 ( because you should make a backup every f*cking single time when youre going to update your system) and install the systemupdate with ::: choidujournx.
Just becaus it works like a charm.
If you havent got a backup:: i dont know. If the update from 8.0.1 to 8.1 doesnt burn any fuses you can test it by downgrading it wit choidujour but make a nandbackup before. After downgrading you can update it it again. Perhaps this solves the errors the sxinstaller made

 
Last edited by ElLelos,

altorn

Well-Known Member
Member
Joined
Jul 15, 2007
Messages
1,053
Trophies
1
Age
33
Location
Toronto, Ontario
Website
atlaswing.zxq.net
XP
1,736
Country
Canada
This happened to me with atmosphere and tinfoil. i was on 5.1.0 and updated my emuMMC to 8.0.1.
i just uninstalled and installed the base game again using tinfoil, then tested if it ran properly, reinstalled DLC and updates, and tested again.
 

DenisTheManis

Member
OP
Newcomer
Joined
Aug 2, 2019
Messages
11
Trophies
0
Age
34
XP
50
Country
Germany
Had a backup from back in the day. 6.0.1
Upgraded with Choidujour this time. Now it seems to work.
Unfortunately I'm not sure how to clean up my SD card. as there is loads of stuff I cant access anymore. Is there a tool I can use to clean it up?
Regards,
Denis
 

Krazyeye

Hellooo Nurse!
Member
Joined
Aug 5, 2017
Messages
197
Trophies
0
Location
Mighty Jungle
XP
1,064
Country
Korea, South
Hey there.

Test a game by uninstalling and installing it again. If it doesnt work::

I think the sx installer is crap for installing systemupdates. so here is my idea how you can get your stuff working again::
Restore your nand 8.0.1 ( because you should make a backup every f*cking single time when youre going to update your system) and install the systemupdate with ::: choidujournx.
Just becaus it works like a charm.
If you havent got a backup:: i dont know. If the update from 8.0.1 to 8.1 doesnt burn any fuses you can test it by downgrading it wit choidujour but make a nandbackup before. After downgrading you can update it it again. Perhaps this solves the errors the sxinstaller made
I think the sx installer is crap for installing systemupdates... <------------------ Here we go again
Dude SX Installer works just fine. Being able to perform systemupdates from SX Installer is a great new feature; eventually we all need to be up-to-date with system firmware to play newer games. Maybe an user error??

--------------------- MERGED ---------------------------

Hi everyone.
I'm using SX OS since it released and today I used the SX Installer 2.0 to install the FW 8.1.0 (I was on 8.0.1 before)
Now I can't start most of my games anymore. They ask me for an update. I looked into the sigpatches and dragged them over, but they seem not to work with SX OS.
Using DevMenu didn't help either (6.0.1 definitive edition).
Do you have any advice?
Can I load the sigpatches into DevMenu somehow, or is there another solution to the problem?

As a sidenote. Installing 8.1.0 via SX Installer 2.0 showed me some errors, but in the end displayed "success" and restarted the console. Now I am on 8.1.0.

Cheers.
Just look for the game update (nsp files) and update the games as needed. It's normal for games to ask to update when you update the system firmware first. And if you update the games before system firmware update, it will ask you to update your system firmware in order to play the game. Hope this helps.
 

DenisTheManis

Member
OP
Newcomer
Joined
Aug 2, 2019
Messages
11
Trophies
0
Age
34
XP
50
Country
Germany
I think the sx installer is crap for installing systemupdates... <------------------ Here we go again
Dude SX Installer works just fine. Being able to perform systemupdates from SX Installer is a great new feature; eventually we all need to be up-to-date with system firmware to play newer games. Maybe an user error??

--------------------- MERGED ---------------------------


Just look for the game update (nsp files) and update the games as needed. It's normal for games to ask to update when you update the system firmware first. And if you update the games before system firmware update, it will ask you to update your system firmware in order to play the game. Hope this helps.

Thanks mate. I'm on it.
 

Mikelet

New Member
Newbie
Joined
Sep 2, 2019
Messages
1
Trophies
0
Age
42
XP
33
Country
Philippines
I think the sx installer is crap for installing systemupdates... <------------------ Here we go again
Dude SX Installer works just fine. Being able to perform systemupdates from SX Installer is a great new feature; eventually we all need to be up-to-date with system firmware to play newer games. Maybe an user error??
I confirm that Sx installer has bugs when installing new firmware.

I've upgraded from 7.0 to 8.1 in Emunand deleted all my games before and all the games that i've tried to install again by the normal SX app, required System update, NSP as well launching XCI old or new, those games before were working well in 7.0 and no problem installing them.

Then i've tried to install those NSP games with the new Sx installer 2 and they worked, but only the NSP not possible to mount XCI, i got the same error, an update is required.

Also was impossible to delete those XCI games mounted, i mean umount the cartridge, even restarting the system with the + button, nothing, the system got somehow corrupted.

What i did is reinstall the firmware 8.1 with Choidujour and it worked fine all again.

So something is really wrong with the system updater of SX.
 
Last edited by Mikelet,

You may also like...

General chit-chat
Help Users
  • No one is chatting at the moment.
    BlazeMasterBM @ BlazeMasterBM: their videos are annoying and they'll sell you an overpriced console +1